<template>
  <div>
    <h2>{{ equipment.title }}</h2>
    <dl class="row">
      <dt class="col-2">Цена</dt>
      <dd class="col-10">{{ equipment.price }}</dd>

      <dt class="col-2">Первоначальный взнос</dt>
      <dd class="col-10">{{ equipment.initial_fee }}</dd>

      <dt class="col-2">Доступен</dt>
      <dd class="col-10">{{ equipment.is_available }}</dd>
    </dl>
    <nuxt-link tag="button" class="btn btn-primary" :to="`/equipment/${equipment._id}/update`">Редактировать</nuxt-link>
    <b-button @click="remove(equipment)" variant="danger">Удалить</b-button>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL }, params }) {
    return axios.get(`${baseURL}/equipment/${params.id}`).then((resp) => { return { equipment: resp.data, baseURL } })
  },
  head () {
    return {
      title: 'Оборудование'
    }
  },
  methods: {
    async remove (equipment) {
      console.log(this.baseURL)
      if (!confirm('Are you sure?')) {
        return
      }
      const response = await axios.delete(`${this.baseURL}/equipment/${equipment._id}`)
      if (response.status === 204) {
        this.$router.push({ path: '/equipment' })
      } else {
        alert(response.data)
      }
    }
  }
}
</script>

<style scoped>

</style>
